const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Lampung Barat',
    'Kabupaten Lampung Selatan',
    'Kabupaten Lampung Tengah',
    'Kabupaten Lampung Timur',
    'Kabupaten Lampung Utara',
    'Kabupaten Mesuji',
    'Kabupaten Pesawaran',
    'Kabupaten Pesisir Barat',
    'Kabupaten Pringsewu',
    'Kabupaten Tanggamus',
    'Kabupaten Tulang Bawang',
    'Kabupaten Tulang Bawang Barat',
    'Kabupaten Way Kanan',
    'Kota Bandar Lampung',
    'Kota Metro'

    // 15
];

exports.seedLampungCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Lampung' },
    });

    if (!province) {
        console.error('❌ Province Lampung not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Lampung City seeded!.');
};